NXP NFC Reader Library v4.040.05.011646

Data Fields
phNfcLib_MFdf Struct Reference

Defines parameters that needs be provided by User to communicate with MIFare DESFire card. More...

## Data Fields
phNfcLib_MFDF_Commands_t | bCommand
| [In] Mifare DESFire command needs to be provided. More...
uint8_t | bOptions
| [In] Option parameter. More...
uint8_t * | pApplicationIdentifier
| [In] Mifare DESFire AID (Application identifier), 0x000000 is reserved. More...
uint8_t | bKeySettings1
| [In] Mifare DESFire KeySetting 1 currently can be only set to 0x0F, as authentication support is not yet provided by Simplified API. More...
uint8_t | bKeySettings2
| [In] Mifare DESFire KeySetting 2, bits 6,7 defines the key that will be used, bit 5 indicates if application supports ISO File ID for selection, for whole application and lower nibble defines no of Keys that can be used. More...
uint8_t * | pISOFileId
| [In] Optional ISO File ID that can be used to Select application using 7816-4 command, Valid only if bit 5 of KeySetting 2 is set to '1'. More...
uint8_t * | pISODFName
| [In] Optional ISO DF name that can be used to Select application using 7816-4 command, Length of this parameter can be from 1 to 16bytes. More...
uint8_t | bISODFNameLen
| [In] ISO DF name length provided by User, can take value from 1 to 16bytes. More...
uint8_t | bOption
| [In] Option parameter. More...
uint8_t | bFileNo
| [In] File number in the range of 0x00 to 0x1F. More...
uint8_t | bCommSett
| [In] Communication settings, currently only plain comm is supported with bit 0 set to 0. More...
uint8_t * | pAccessRights
| [In] Read/Write access rights, currently only free access is supported with all nibbles set to 0xE. More...
uint8_t * | pFileSize
| [In] File size. More...
uint8_t | bCommOption
| [In] Communication settings, currently only plain comm is supported (value 0x00). More...
uint8_t * | pOffset
| [In] Offset from which write operation to be done. More...
uint8_t * | pTxData
| [In] Pointer to array of data to be written into File. More...
uint8_t * | pTxDataLen
| [In] Length of data. More...
uint8_t | bSelector
| [In] P1 field in ISO 7816-4, can take either 0x00 or 0x02 or 0x04. More...
uint8_t * | pFid
| [In] Elementary File Identifier used to select application when P1 is either 0x00 or 0x02. More...
uint8_t * | pDFname
| [In] DF name that can be used to Select ISO file. More...
uint8_t | bDFnameLen
| [In] Length of DF name provided by User, can take value from 1 to 16bytes. More...
uint16_t | wOption
| [In] Option parameter indicating PH_EXCHANGE_DEFAULT or PH_EXCHANGE_RXCHAINING. More...
uint8_t | bSfid
| [In] P1 field in ISO 7816-4, if bit 8 is set to zero then p1 indicates MSB of offset else bit5 to bit1 (5bits) indicates short ISO FID. More...
uint8_t | bOffset
| [In] P2 field in ISO 7816-4, codes offset. More...
uint8_t | bBytesToRead
| [In] Le field in ISO 7816-4, number of bytes to read from file. More...
uint8_t * | pData
| [In] Pointer to array data to be written. More...
uint8_t | bDataLen
| [In] Length of data provided by application. More...

## Detailed Description

Defines parameters that needs be provided by User to communicate with MIFare DESFire card.

## Field Documentation

## § bCommand

phNfcLib_MFDF_Commands_t phNfcLib_MFdf::bCommand

[In] Mifare DESFire command needs to be provided.

## § bOptions

uint8_t phNfcLib_MFdf::bOptions

[In] Option parameter.

## § pApplicationIdentifier

uint8_t* phNfcLib_MFdf::pApplicationIdentifier

[In] Mifare DESFire AID (Application identifier), 0x000000 is reserved.

[In] Mifare DESFire AID (Application identifier) to select file.

## § bKeySettings1

uint8_t phNfcLib_MFdf::bKeySettings1

[In] Mifare DESFire KeySetting 1 currently can be only set to 0x0F, as authentication support is not yet provided by Simplified API.

## § bKeySettings2

uint8_t phNfcLib_MFdf::bKeySettings2

[In] Mifare DESFire KeySetting 2, bits 6,7 defines the key that will be used, bit 5 indicates if application supports ISO File ID for selection, for whole application and lower nibble defines no of Keys that can be used.

## § pISOFileId

uint8_t* phNfcLib_MFdf::pISOFileId

[In] Optional ISO File ID that can be used to Select application using 7816-4 command, Valid only if bit 5 of KeySetting 2 is set to '1'.

[In] Optional ISO File ID that can be used to select file using 7816-4 command.

## § pISODFName

uint8_t* phNfcLib_MFdf::pISODFName

[In] Optional ISO DF name that can be used to Select application using 7816-4 command, Length of this parameter can be from 1 to 16bytes.

## § bISODFNameLen

uint8_t phNfcLib_MFdf::bISODFNameLen

[In] ISO DF name length provided by User, can take value from 1 to 16bytes.

## § bOption

uint8_t phNfcLib_MFdf::bOption

[In] Option parameter.

[In] P2 field in ISO 7816-4, when 0x00 FCI stored in file will be returned.

when 0x0C FCI shall not be returned. Any other value is invalid.

## § bFileNo

uint8_t phNfcLib_MFdf::bFileNo

[In] File number in the range of 0x00 to 0x1F.

## § bCommSett

uint8_t phNfcLib_MFdf::bCommSett

[In] Communication settings, currently only plain comm is supported with bit 0 set to 0.

## § pAccessRights

uint8_t* phNfcLib_MFdf::pAccessRights

[In] Read/Write access rights, currently only free access is supported with all nibbles set to 0xE.

## § pFileSize

uint8_t* phNfcLib_MFdf::pFileSize

[In] File size.

## § bCommOption

uint8_t phNfcLib_MFdf::bCommOption

[In] Communication settings, currently only plain comm is supported (value 0x00).

## § pOffset

uint8_t* phNfcLib_MFdf::pOffset

[In] Offset from which write operation to be done.

## § pTxData

uint8_t* phNfcLib_MFdf::pTxData

[In] Pointer to array of data to be written into File.

## § pTxDataLen

uint8_t* phNfcLib_MFdf::pTxDataLen

[In] Length of data.

## § bSelector

uint8_t phNfcLib_MFdf::bSelector

[In] P1 field in ISO 7816-4, can take either 0x00 or 0x02 or 0x04.

## § pFid

uint8_t* phNfcLib_MFdf::pFid

[In] Elementary File Identifier used to select application when P1 is either 0x00 or 0x02.

## § pDFname

uint8_t* phNfcLib_MFdf::pDFname

[In] DF name that can be used to Select ISO file.

## § bDFnameLen

uint8_t phNfcLib_MFdf::bDFnameLen

[In] Length of DF name provided by User, can take value from 1 to 16bytes.

## § wOption

uint16_t phNfcLib_MFdf::wOption

[In] Option parameter indicating PH_EXCHANGE_DEFAULT or PH_EXCHANGE_RXCHAINING.

## § bSfid

uint8_t phNfcLib_MFdf::bSfid

[In] P1 field in ISO 7816-4, if bit 8 is set to zero then p1 indicates MSB of offset else bit5 to bit1 (5bits) indicates short ISO FID.

## § bOffset

uint8_t phNfcLib_MFdf::bOffset

[In] P2 field in ISO 7816-4, codes offset.

## § bBytesToRead

uint8_t phNfcLib_MFdf::bBytesToRead

[In] Le field in ISO 7816-4, number of bytes to read from file.

## § pData

uint8_t* phNfcLib_MFdf::pData

[In] Pointer to array data to be written.

## § bDataLen

uint8_t phNfcLib_MFdf::bDataLen

[In] Length of data provided by application.

The documentation for this struct was generated from the following file:

- phNfcLib.h